at.chipkarte.client.ebs.soap

## Class GewuenschteLeistung

- Object
- - at.chipkarte.client.ebs.soap.GewuenschteLeistung

-     public class GewuenschteLeistung
      extends Object

  Dient der Eingabe einer beantragten Leistung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GewuenschteLeistung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKoerperregion()` Körperregion inklusive Seitenangabe.
    `String` | `getKontrastmittel()` Angabe, ob ein Kontrastmittel zu verwenden ist.
    `String` | `getLeistungfreitext()` Leistung als Freitext.
    `String` | `getLeistungfreitextgrund()` Begründung für die Freitextangabe.
    `String` | `getLeistungsposition()` Eine bestimme Leistung aus dem (zum Antragstyp und dem zuständigen KVT) ermittelten Leistungskatalog leistungskatalog (mittels der Funktion pruefenAdministrativeAntragsdaten).
    `String` | `getSeite()` Seite.
    `void` | `setKoerperregion(String koerperregion)`
    `void` | `setKontrastmittel(String kontrastmittel)`
    `void` | `setLeistungfreitext(String leistungfreitext)`
    `void` | `setLeistungfreitextgrund(String leistungfreitextgrund)`
    `void` | `setLeistungsposition(String leistungsposition)`
    `void` | `setSeite(String seite)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GewuenschteLeistung

          public GewuenschteLeistung()

  - ### Method Detail

    - #### getLeistungsposition

          public String getLeistungsposition()

      Eine bestimme Leistung aus dem (zum Antragstyp und dem zuständigen KVT) ermittelten Leistungskatalog leistungskatalog (mittels der Funktion pruefenAdministrativeAntragsdaten).
      Angabe: Bedingt. Muss angegeben werden wenn keine Leistung als Freitext angegeben wurde.
      Returns:
        Leistungsposition.

    - #### setLeistungsposition

          public void setLeistungsposition(String leistungsposition)

    - #### getLeistungfreitext

          public String getLeistungfreitext()

      Leistung als Freitext.
      Angabe: Bedingt. Keine Angabe erlaubt, wenn eine Leistung mittels Katalognummer angegeben wurde. Andernfalls ist die Angabe optional.
      Returns:
        Leistungfreitext.

    - #### setLeistungfreitext

          public void setLeistungfreitext(String leistungfreitext)

    - #### getLeistungfreitextgrund

          public String getLeistungfreitextgrund()

      Begründung für die Freitextangabe.
      Angabe: Bedingt. Muss angegeben werden wenn eine Leistung als Freitext angegeben wurde. Keine Angabe erlaubt wenn eine Leistung als mittels Katalognummer angegeben wurde.
      Returns:
        Leistungfreitextgrund.

    - #### setLeistungfreitextgrund

          public void setLeistungfreitextgrund(String leistungfreitextgrund)

    - #### getSeite

          public String getSeite()

      Seite.
      Mögliche Werte siehe `SeiteTypConstants`.
      Angabe: Bedingt. Bei gewünschten Leistungen für den Antragstyp CT, MR, KDM oder ROEU: Muss mit einem Wert ungleich nicht relevant angegeben werden wenn eine Katalogleistung mit verpflichtender Seitenangabe angegeben wurde. Bei gewünschten Leistungen für den Antragstyp NUK, HUM, KPD bzw. ROET: Angabe nicht zulässig.
      Returns:
        Seite.

    - #### setSeite

          public void setSeite(String seite)

    - #### getKontrastmittel

          public String getKontrastmittel()

      Angabe, ob ein Kontrastmittel zu verwenden ist.
      Mögliche Werte siehe `KennzeichenJaKeineAngabeTypConstants`.
      Angabe: Kann. Bei gewünschten Leistungen für den Antragstyp NUK, KDM, HUM, KPD bzw. ROET ist die Angabe nicht zulässig.
      Returns:
        Kontrastmittel.

    - #### setKontrastmittel

          public void setKontrastmittel(String kontrastmittel)

    - #### getKoerperregion

          public String getKoerperregion()

      Körperregion inklusive Seitenangabe.
      Angabe: Bedingt. Muss angegeben werden bei gewünschten Leistungen für den Antragstyp ROET. Andernfalls ist keine Angabe erlaubt.
      Format: 100-stellig
      Returns:
        Koerperregion.

    - #### setKoerperregion

          public void setKoerperregion(String koerperregion)